#pragma once

#include "HtmlDocument.h"

class HtmlWriter
{
public:

    HtmlWriter();

    std::string ToString(HtmlDocumentPtr document);

private:
    std::string ToString(XmlElement* element, unsigned depth=0);
};
